Name:           toped
Version:        0.9.65
Release:        1%{?dist}

Summary:        VLSI IC Layout Editor

License:        GPLv2
Group:          Applications/Engineering
URL:            http://www.toped.org.uk

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0:        http://toped.googlecode.com/files/toped-0.9.65-r1587.tar.bz2

BuildRequires:  desktop-file-utils
BuildRequires:  wxGTK-devel
BuildRequires:  glew-devel
BuildRequires:  byacc
BuildRequires:  libtool
BuildRequires:  bison
BuildRequires:  flex

Requires:       electronics-menu


%description
Toped is a layout editor with CIF and GDSII export capabilities.

Toped is listed among Fedora Electronic Lab packages.

%prep
%setup -q

#%{__make} -f Makefile.cvs
%build

%configure

# Remove rpath from libtool
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

# clean unused-direct-shlib-dependencies
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}

%{__make} INSTALL="install -p" DESTDIR=%{buildroot} install

%{__rm} -f %{buildroot}%{_libdir}/libtpd*.{a,la}

desktop-file-install --vendor ""              \
  --add-category "Electronics"                \
  --delete-original                           \
  --remove-category "Science"                 \
  --remove-category "Education"               \
  --dir %{buildroot}%{_datadir}/applications/ \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

%{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/
%{__cp} -p ui/%{name}_16x16.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/toped.png
%{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/
%{__cp} -p ui/%{name}_32x32.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/toped.png
%{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/
%{__cp} -p ui/%{name}_64x64.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/toped.png

#No translations
#%find_lang %{name}

# exporting the variable $TPD_GLOBAL
%{__mkdir} -p %{buildroot}%{_sysconfdir}/profile.d
cat > %{buildroot}%{_sysconfdir}/profile.d/%{name}.sh << EOF
# TOPED VLSI design system
export TPD_GLOBAL=%{_datadir}/%{name}/
export TPD_LOCAL=\$HOME
EOF

%clean
%{__rm} -rf %{buildroot}

%post
/sbin/ldconfig
source %{_sysconfdir}/profile.d/toped.sh
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS TODO
%exclude %{_libdir}/libtpd*.so
%{_bindir}/%{name}
%{_libdir}/libtpd*.so*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*x*/apps/toped.png
%{_sysconfdir}/profile.d/toped.sh


%changelog
* Sun Jul 18 2010 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.9.65-1
- New Upstream release

* Sat Apr 08 2010 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.9.60-1
- 0.9.6 stable release
- OASIS (Open Artwork Interchange Standard) import, complies with SEMI P39-308 standard paper.
- Calibre DRC viewer

* Thu Dec 10 2009 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.9.51-1
- 0.9.51 release to fix start-up crash with Mesa DRI on Intel(R) 945GM - RHBZ 541879

* Sun Oct 03 2009 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.9.5-1
- 0.9.5 stable release

* Sat Oct 03 2009 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.9.5-0.1
- 0.9.5 test release

* Tue Aug 04 2009 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.9.4-1
- 0.9.4 final release

* Sat Aug 01 2009 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.9.4-0.2.rc1
- Testing for upstream D-1 for 0.94 release - svn rev 1161

* Sat Aug 01 2009 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.9.4-0.1.rc1
- 0.9.4 release candidate 1

* Tue Mar 10 2009 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.9.2-4
- bug fix for cif and gdsII import and export

- disabling rpath
- fixing rpmlint warning: unused-direct-shlib-dependencies
- fixed multiple menu entries

* Mon Nov 10 2008 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.9.2-1
- New upstream release

* Fri Jul 26 2008 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.9.0-2
- Bug fix 451218

* Sun May 25 2008 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.9.0-1
- New upstream release

* Fri Oct 12 2007 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.8.6-1
- New upstream release

* Thu Aug 23 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.8.5-2
- mass rebuild for fedora 8 - BuildID

* Sat Mar 10 2007 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.8.5-1
- New upstream release

* Mon Feb 26 2007 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.8.2-8
- fixed for rawhide compat-wxGTK26

* Fri Dec 29 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.8.2-7
- patch for wxWidgets-2.8

* Mon Dec 25 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.8.2-6
- Fixed fedora vendor

* Mon Dec 25 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.8.2-5
- Rebuild for development

* Mon Dec 25 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.8.2-4
- Fixed kmenu desktop file to science menu

* Sun Dec 24 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.8.2-3
- FC6 rebuilt
- removed fedora vendor

* Mon Sep 27 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.8.2-2
- Removed the devel package

* Mon Sep 27 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.8.2-1
- New upstream release 0.8.2

* Wed Sep 27 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.8.1-2
- Icons received by upstream (by mail)

* Mon Sep 18 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.8.1-1
- initial package
